Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.concepteditor
Class SpringUtilities

    java.lang.Object
      edu.udo.cs.miningmart.gui.concepteditor.SpringUtilities

    public class SpringUtilities

extends java.lang.Object

A 1.4 file that provides utility methods for creating form- or grid-style layouts with SpringLayout. These utilities are used by several programs, such as SpringBox and SpringCompactGrid.

Version:
  $Id: SpringUtilities.java,v 1.5 2006/09/27 15:00:02 euler Exp $
Author:
  SpringLayout Tutorial

Constructor Summary
`SpringUtilities()`

Method Summary
`static void` | `makeCompactGrid(java.awt.Container parent, int rows, int cols, int initialX, int initialY, int xPad, int yPad)` Aligns the first `rows` * `cols` components of `parent` in a grid.
`static void` | `makeGrid(java.awt.Container parent, int rows, int cols, int initialX, int initialY, int xPad, int yPad)` Aligns the first `rows` * `cols` components of `parent` in a grid.
`static void` | `printSizes(java.awt.Component c)` A debugging utility that prints to stdout the component's minimum, preferred, and maximum sizes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringUtilities

    public SpringUtilities()

Method Detail

### printSizes

    public static void printSizes(java.awt.Component c)

  A debugging utility that prints to stdout the component's minimum, preferred, and maximum sizes.

### makeGrid

    public static void makeGrid(java.awt.Container parent,
                                int rows,
                                int cols,
                                int initialX,
                                int initialY,
                                int xPad,
                                int yPad)

  Aligns the first `rows` * `cols` components of `parent` in a grid. Each component is as big as the maximum preferred width and height of the components. The parent is made just big enough to fit them all.

  Parameters:
    `rows` - number of rows
    `cols` - number of columns
    `initialX` - x location to start the grid at
    `initialY` - y location to start the grid at
    `xPad` - x padding between cells
    `yPad` - y padding between cells

### makeCompactGrid

    public static void makeCompactGrid(java.awt.Container parent,
                                       int rows,
                                       int cols,
                                       int initialX,
                                       int initialY,
                                       int xPad,
                                       int yPad)

  Aligns the first `rows` * `cols` components of `parent` in a grid. Each component in a column is as wide as the maximum preferred width of the components in that column; height is similarly determined for each row. The parent is made just big enough to fit them all.

  Parameters:
    `rows` - number of rows
    `cols` - number of columns
    `initialX` - x location to start the grid at
    `initialY` - y location to start the grid at
    `xPad` - x padding between cells
    `yPad` - y padding between cells

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005